require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Handler"

local context = activity or service

function enviarMensajeBomba(mensaje, veces)
  for i = 1, veces + 1 do
    service.setText(mensaje)
    service.click({{"Enviar",}})
  end
end

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "Mensajes bomba",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    EditText,
    id = "mensajeInput",
    hint = "Escribe tu mensajePorque el plugin fue creado por Chuy Bautista. ",
    layout_width = "fill",
    padding = "16dp",
  },
  {
    EditText,
    id = "vecesInput",
    hint = "Número de veces",
    inputType = "number",
    layout_width = "fill",
    padding = "16dp",
  },
  {
    Button,
    text = "Enviar Mensajes",
    onClick = function(view)
      local mensaje = mensajeInput.Text
      local veces = tonumber(vecesInput.Text)
      if mensaje == "" or veces == nil or veces <= 0 then
        service.speak ("Ingresa un mensaje y una cantidad primero")
      else
        dlg.dismiss()
        enviarMensajeBomba(mensaje, veces)
      end
    end,
    layout_width = "wrap_content",
    gravity = 5,
  },
  {
    Button,
    text = "Salir",
    onClick = function(view)
      dlg.dismiss()
    end,
    layout_width = "wrap_content",
    gravity = 5,
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end

return true